function OnModGameStart_Music_player()
Game.musicplayer = true --enables mod referencing
QuickInformation(25, "...MUSIC PLAYER INITIALISED... \nSwitch song from Pg2 of the research panel.")
MagicAvailable("ALL_PLAYERS","MUSIC_PLAYER",true,true)
end
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
--local last_track = -1
local music = 0
function Music_player(player,power_kind,power_level,stl_x,stl_y,thing,is_free)
music = music + 1
    --KEEPER FACTION MUSIC
    --local music = math.random(1,6)
    --while music == last_track do    music = math.random(1,6)    end --CHECK SAME SONG NOT PLAYING
    if music==1 or music>6 then last_track = music  RunDKScriptCommand("SET_MUSIC(2)") ClearMessage() QuickMessage("Soft Flute") music = 1 end
    if music==2 then last_track = music  RunDKScriptCommand("SET_MUSIC(3)") ClearMessage() QuickMessage("Down Deep") end
    if music==3 then last_track = music  RunDKScriptCommand("SET_MUSIC(4)") ClearMessage() QuickMessage("Mystical Tunnels") end
    if music==4 then last_track = music  RunDKScriptCommand("SET_MUSIC(5)") ClearMessage() QuickMessage("It's Construction Time!") end
    if music==5 then last_track = music  RunDKScriptCommand("SET_MUSIC(6)") ClearMessage() QuickMessage("Ghostly Waterways") end
    if music==6 then last_track = music  RunDKScriptCommand("SET_MUSIC(7)") ClearMessage() QuickMessage("The Horned Reaper") end
    return 0

end